using PushPlatform.Common.Util;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushInfo.Core.Models.QueryResults
{
    public class ResultHelper<T>
    {
        private string _msg;

        public string msg
        {
            get { return _msg; }
            set { _msg = value; }
        }

        private int _result;

        public int result
        {
            get { return _result; }
            set { _result = value; }
        }

        private T _data;

        public T data
        {
            get { return _data; }
            set { _data = value; }
        }

        private T _delete;

        public T delete
        {
            get { return _delete; }
            set { _delete = value; }
        }


        public string ToJson()
        {
            string str = JsonHelper.ToJson(this).Replace("null", "\"\"");
            return str;
        }
    }
}
